# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get the status of a Zelle® Disbursement In this tutorial, you'll learn how to use the Global Payments API to retrieve the status of a Zelle® Disbursement. By the end of this tutorial, you'll know how to: - Use the endToEndId to check and confirm the status of your request. - Interpret Zelle® Disbursements response types. ## Before you begin To retrieve the status of a Zelle® Disbursement request, you'll need the `endToEndId` value for your payment request, which is provided in a [successful payment response](/docs/treasury/global-payments/capabilities/global-payments/zelle-disbursements/how-to/initiate-a-zelle-payment-request#confirm-response). ## Create and send a status request A [successful response](/docs/treasury/global-payments/capabilities/global-payments/zelle-disbursements/how-to/initiate-a-zelle-payment-request#confirm-response) contains an `endToEndId` value, which you can use to retrieve the status of the payment request. To do this, make a `GET` request to the `/payments/status` endpoint, appending your unique `endToEndId` to the end of the call: ```curl curl --location 'https://api-mock.payments.jpmorgan.com/tsapi/v1/payments/status?endToEndId=1lv0t92e023g11354100' ``` The following response shows a payment in the `PENDING` status: ```json { "paymentStatus": { "createDateTime": "2023-10-18T01:52:35.000", "status": "PENDING" } } ``` A rejected response contains an [error code](https://developer.payments.jpmorgan.com/api/treasury/global-payments/global-payments/error-codes#push-to-card-p2c-clearing-error-reason-codes), description, and rule definition that can help determine the reason for the request failure. The following response illustrates a payment in the `REJECTED` status, along with an additional field, `externalCode`, applicable only to rejections at the clearing level. ```json { "paymentStatus": { "createDateTime": "2023-10-04T03:27:22.000", "status": "REJECTED", "exception": [ { "errorCode": "11000", "errorDescription": "Amount of funds available to cover specified message amount is insufficient", "ruleDefinition": "Clearing/Regulatory failure", "externalCode": "AM04" } ] } } ``` We recommend reviewing the [error codes](/api/treasury/global-payments/global-payments/error-codes) section to understand supported responses. If you need additional support, contact your Client Service Account Manager. Zelle® Disbursements supports multiple response types, including `PENDING`, `REJECTED`, and `COMPLETED`. For more information, see [Response types](/docs/treasury/global-payments/capabilities/global-payments/zelle-disbursements/resources). ## Related - Review supported [response types](/docs/treasury/global-payments/capabilities/global-payments/zelle-disbursements/resources). - Review our table of potential [error codes](/api/treasury/global-payments/global-payments/error-codes).